#ifndef FORMATION_H
#define FORMATION_H

#include <zeitgeist/leaf.h>
#include <zeitgeist/class.h>

#include "base_classes/BaseModule.h"
#include "base_classes/ISModules/PrimaryISModule.h"

class Formation : public BaseISModule
{
private:
   USE_MODULE(PrimaryISModule, "Agent/Sys/PrimaryISModule")

public:
	Vector3f GetPosition();
};

DECLARE_CLASS(Formation)

#endif // FORMATION_H 
