#ifndef HANDLE_BALL_BEHAVIOUR_H
#define HANDLE_BALL_BEHAVIOUR_H

#include <zeitgeist/leaf.h>
#include <zeitgeist/class.h>

#include "base_classes/BaseModule.h"
#include "base_classes/ISModules/PrimaryISModule.h"

#include "run_to_ball_behaviour.h"
#include "kick_ball_behaviour.h"



class HandleBallBehaviour : public BaseBehaviourModule
{
private:
	USE_MODULE(RunToBallBehaviour, "Agent/Modules/Behaviour/RunToBall")
	USE_MODULE(KickBallBehaviour, "Agent/Modules/Behaviour/KickBall")
	USE_MODULE(PrimaryISModule, "Agent/Sys/PrimaryISModule")

public:
	virtual void Behave();
};

DECLARE_CLASS(HandleBallBehaviour)

#endif // HANDLE_BALL_BEHAVIOUR_H
