#ifndef HOLD_POSITION_BEHAVIOUR_H
#define HOLD_POSITION_BEHAVIOUR_H

#include <zeitgeist/leaf.h>
#include <zeitgeist/class.h>

#include "base_classes/BaseModule.h"

#include "return_to_position_behaviour.h"
#include "base_classes/ISModules/history.h"

class HoldPositionBehaviour : public BaseBehaviourModule
{
private:
	USE_MODULE(ReturnToPositionBehaviour,"Agent/Modules/Behaviour/ReturnToPosition")
	USE_MODULE(PrimaryISModule, "Agent/Sys/PrimaryISModule")
	USE_MODULE(History, "Agent/Modules/History")
	USE_MODULE(Formation, "Agent/Modules/IS/Formation")

public:
	virtual void Behave();
};

DECLARE_CLASS(HoldPositionBehaviour)

#endif // HOLD_POSITION_BEHAVIOUR_H
