#ifndef RUN_TO_BALL_BEHAVIOUR_H
#define RUN_TO_BALL_BEHAVIOUR_H

#include <zeitgeist/leaf.h>
#include <zeitgeist/class.h>

#include "base_classes/BaseModule.h"
#include "base_classes/wrapper/wrapper.h"
#include "base_classes/ISModules/history.h"
#include <math.h>

class RunToBallBehaviour : public BaseBehaviourModule
{
public:
	virtual void Behave();
	
private:
	USE_MODULE(History, "Agent/Modules/History")
	USE_MODULE(Wrapper, "Agent/Sys/Wrapper")
};

DECLARE_CLASS(RunToBallBehaviour)

#endif // RUN_TO_BALL_BEHAVIOUR_H