#include "player.h"

Player::Player() :
    BaseBehaviourModule()
{	
    setTeamName("undefined");
}

Player::~Player()
{

}

void Player::Behave()
{

}

void Player::OnLink()
{
    mParser = shared_dynamic_cast<Parser> (GetCore()->Get("/Agent/Sys/Parser"));
    mWrapper = shared_dynamic_cast<Wrapper> (GetCore()->Get("/Agent/Sys/Wrapper"));
    
    if ((!mWrapper.get()) || (!mParser.get())) {
	printf("Player::OnLink() : neni parser alebo wrapper\n");
    }
}

void Player::OnUnlink()
{
    mParser.reset();
    mWrapper.reset();
}
