/*

vsetky spominane triedy su z agenttesta
trieda Wrapper (mnou novovytvorena) je poskladana z tried Behaviour a Soccer

Wrapper komunikuje pomocou triedy CommServer
triedu CommServer som zmenil tak, aby nevolala LogServer
trieda CommServer este vyuziva triedu ReadBuffFD, ktoru menit netreba

*/

#ifndef WRAPPER_H
#define WRAPPER_H

#include <zeitgeist/leaf.h>
#include <oxygen/oxygen.h>
#include "../commserver.h"

class Wrapper : public zeitgeist::Leaf
{
public:
    Wrapper();
    virtual ~Wrapper();

    void DoneThinkingMessage();
    void DoneInitMessage();
    void CreateAgent();
    void InitAgent(std::string teamUnum, std::string teamName);
    void Beam(const salt::Vector3f& position);
    void Drive(const salt::Vector3f& driveVec);
    void Kick(const float angle, const float power);
    
    void OnLink();
    void OnUnlink();

protected:

    // instancia Commserveru
    boost::shared_ptr<CommServer> mComm;
};

DECLARE_CLASS(Wrapper)

#endif // WRAPPER_H
