#include "formation.h"

Vector3f Formation::GetPosition() {
	  shared_ptr<PrimaryISModule> is = GetPrimaryISModule();
    int playerNum = is->mTeamInfo.mTeamUnum;
	
  	float x = is->mField.mFieldLength/2;
	  float y = is->mField.mFieldWidth/2;
	
	Vector3f position;
	switch(playerNum){
		// hrac s c.1 bude brankar
		case 1:
			position = Vector3f((-1.0)*x+10,0,0);
			break;	
		case 2:
			position = Vector3f(x-10,0,0);
			break;				
		case 3:
			position = Vector3f(x/2,(-1.0)*y/2,0);
			break;		
		case 4:
			position = Vector3f(x/2,0,0);
			break;	
		case 5:
			position = Vector3f(x/2,y/2,0);
			break;	
		case 6:
			position = Vector3f(0,(-1.0)*y/2,0);
			break;		
		case 7:
			position = Vector3f(0,0,0);
			break;	
		case 8:
			position = Vector3f(0,y/2,0);
			break;	
		case 9:
			position = Vector3f((-1.0)*x/2,(-1.0)*y/2,0);
			break;		
		case 10:
			position = Vector3f((-1.0)*x/2,0,0);
			break;	
		case 11:
			position = Vector3f((-1.0)*x/2,y/2,0);
			break;							
		default:
			position = Vector3f(0,0,0);
			break;
	}
	
	return position;
}