#include "hazard_player.h"

HazardPlayer::HazardPlayer() :
    Player()
{
    setTeamName("Hazarder");
}

HazardPlayer::~HazardPlayer()
{

}

void HazardPlayer::Behave()
{
     // TODO nabeamovat na poziciu vo formacii pocas playmode before kickoff
		 if(GetPrimaryISModule()->mPlayMode == PM_BeforeKickOff) {
		 	  GetWrapper()->Beam(GetFormation()->GetPosition());
		 } else {
			WorldModel world = GetHistory()->history[0];
			AbsBall ball = world.ball;
			AbsPlayer myself = world.myself;
			
			double myDistance = (ball.mPosition - myself.mPosition).Length();
			cout << "HazardPlayer: myDistance " << myDistance << endl;
			bool iAmResponsible = true;
			for(int i = 0; i < 11 && iAmResponsible; i++) {
							AbsPlayer mate = world.friends[i];
							double friendDistance = (ball.mPosition - mate.mPosition).Length();
							cout << "HazardPlayer: friendDistance " << i << "  " << friendDistance << endl;
							if(friendDistance < myDistance) {
											iAmResponsible = false;
							}
			}
			
			if(iAmResponsible) {
					GetHandleBallBehaviour()->Behave();
			} else {
					GetHoldPositionBehaviour()->Behave();
			}
		 }
}

