#include <zeitgeist/zeitgeist.h>
#include <oxygen/oxygen.h>
#include <soccer/soccertypes.h>

using namespace zeitgeist;
using namespace std;
using namespace boost;
using namespace oxygen;
using namespace salt;

#include "../base_classes/player.h"

#include "handle_ball_behaviour.h"
#include "hold_position_behaviour.h"
#include "formation.h"

class HazardPlayer : public Player
{
private:
	USE_MODULE(HandleBallBehaviour, "/Agent/Modules/Behaviour/HandleBall")
	USE_MODULE(HoldPositionBehaviour, "/Agent/Modules/Behaviour/HoldPosition")
	USE_MODULE(Formation, "/Agent/Modules/IS/Formation")	
	USE_MODULE(History, "Agent/Modules/History")
	USE_MODULE(Wrapper, "Agent/Sys/Wrapper")
	USE_MODULE(PrimaryISModule, "Agent/Sys/PrimaryISModule")

public:
	HazardPlayer();
	virtual ~HazardPlayer();

	virtual void Behave();
};

DECLARE_CLASS(HazardPlayer)
