#ifndef RETURN_TO_POSITION_BEHAVIOUR_H
#define RETURN_TO_POSITION_BEHAVIOUR_H

#include <zeitgeist/leaf.h>
#include <zeitgeist/class.h>

#include "base_classes/BaseModule.h"
#include "base_classes/ISModules/history.h"
#include "base_classes/wrapper/wrapper.h"

#include "formation.h"

class ReturnToPositionBehaviour : public BaseBehaviourModule
{
private:
	USE_MODULE(History, "Agent/Modules/History")
	USE_MODULE(Wrapper, "Agent/Sys/Wrapper")
	USE_MODULE(Formation, "/Agent/Modules/IS/Formation")

public:
	virtual void Behave();

};

DECLARE_CLASS(ReturnToPositionBehaviour)

#endif // RETURN_TO_POSITION_BEHAVIOUR_H
